Blt_TreeReleaseToken(3)

NAME
Blt_TreeReleaseToken - Releases token associated with tree object.

SYNOPSIS
#include <bltTree.h>

int
Blt_TreeReleaseToken(token)

ARGUMENTS
Token of tree to be released.

DESCRIPTION

This procedure releases the token associated with a C-based tree data object. When all outstanding tokens for a tree data object have been released, then the data object itself will be freed. The arguments are as follows:

token
    Token of the tree data object to be released. This token was initialized either by Tcl_TreeGetToken or Blt_TreeCreate earlier.

RETURNS
Nothing.

EXAMPLE
The following example creates and then releases a new token. Blt_Tree token; if (Blt_TreeCreate(interp, "myTree", &token) != TCL_OK) {
    return TCL_ERROR; } printf("tree is %s\n", Blt_TreeName(token)); /* Tree will be destroyed when the token is released. */ Blt_TreeReleaseToken(token);

KEYWORDS
tree, token